package com.iamberry.wechat.core.entity.cart;

import java.util.HashMap;
import java.util.List;

import com.iamberry.wechat.core.entity.coupon.CouponItemDto;

/**
 * @author 何秀刚
 * Class Description: 支付页面DTO
 * Create Date:2016年4月20日
 * Update Date:2016年4月20日
 */
public class OrderPayDto implements java.io.Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -381691465912815339L;

	private List<CartDto> cartItems; // 订单项
	
	private Integer payTotal; // 支付金额, 单位为分
	
	private boolean isSuccess; // 是否请求成功
	
	private String errorInfo; // 错误信息
	
	private int meonyProportion; // 积分和人民币的比例 一个积分抵扣多少元人民币
	
	private String cartId; // 购物车ID，点击去支付时，需要传回来
	
	private int balance ; //账户余额
	
	private HashMap addressInfo;//收货地址
	
	private List<CouponItemDto>  couponItems ;//优惠券集合
	
	private boolean disable;	//是否可以使用优惠券

	private Integer userIsVip;		//是否为vip ：1:非vip  2：vip

	private Integer user38Interests;		//是否有38女王节权益 ：1:有权益  2：无权益

	public boolean isDisable() {
		return disable;
	}

	public void setDisable(boolean disable) {
		this.disable = disable;
	}

	public String getCartId() {
		return cartId;
	}

	public void setCartId(String cartId) {
		this.cartId = cartId;
	}

	public int getMeonyProportion() {
		return meonyProportion;
	}

	public void setMeonyProportion(int meonyProportion) {
		this.meonyProportion = meonyProportion;
	}

	public boolean isSuccess() {
		return isSuccess;
	}

	public void setSuccess(boolean isSuccess) {
		this.isSuccess = isSuccess;
	}

	public String getErrorInfo() {
		return errorInfo;
	}

	public void setErrorInfo(String errorInfo) {
		this.errorInfo = errorInfo;
	}

	public List<CartDto> getCartItems() {
		return cartItems;
	}

	public void setCartItems(List<CartDto> cartItems) {
		this.cartItems = cartItems;
	}

	public Integer getPayTotal() {
		return payTotal;
	}

	public void setPayTotal(Integer payTotal) {
		this.payTotal = payTotal;
	}

	public int getBalance() {
		return balance;
	}

	public void setBalance(int balance) {
		this.balance = balance;
	}

	public List<CouponItemDto> getCouponItems() {
		return couponItems;
	}

	public void setCouponItems(List<CouponItemDto> couponItems) {
		this.couponItems = couponItems;
	}

	public HashMap getAddressInfo() {
		return addressInfo;
	}

	public void setAddressInfo(HashMap addressInfo) {
		this.addressInfo = addressInfo;
	}

	public Integer getUserIsVip() {
		return userIsVip;
	}

	public void setUserIsVip(Integer userIsVip) {
		this.userIsVip = userIsVip;
	}

	public Integer getUser38Interests() {
		return user38Interests;
	}

	public void setUser38Interests(Integer user38Interests) {
		this.user38Interests = user38Interests;
	}
}
